<definitions 
	name="Foo.v1"
	targetNamespace="http://www.foo.com/foobar/v1"
	xmlns:tns="http://www.foo.com/foobar/v1"
	xmlns:hdr="http://www.foo.com/foobar/v1/soapheader"
	xmlns:msg="http://www.foo.com/foobar/v1/messages"
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"  
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
	xmlns="http://schemas.xmlsoap.org/wsdl/">

	<wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
		FooBar sample 
	</wsdl:documentation>

	<types>
		<xsd:schema>
			<xsd:import schemaLocation="FooMessages.xsd" namespace="http://www.foo.com/foobar/v1/messages" />
			<xsd:import schemaLocation="SoapHeader.xsd" namespace="http://www.foo.com/foobar/v1/soapheader" />
		</xsd:schema>
	</types>

	<message name="CreateFooHeader">
		<part name="messagePart" element="hdr:AuthenticationHeader" />
	</message>

	<message name="CreateFooRequest">
		<part name="parameters" element="msg:CreateFooRequest" />
	</message>

	<message name="CreateFooResponse">
		<part name="parameters" element="msg:CreateFooResponse" />
	</message>

	<message name="CreateBazHeader">
		<part name="messagePart" element="hdr:AuthenticationHeader" />
	</message>

	<message name="CreateBazRequest">
		<part name="parameters" element="msg:CreateBazRequest" />
	</message>

	<message name="CreateBazResponse">
		<part name="parameters" element="msg:CreateBazResponse" />
	</message>

	<message name="CreateBezHeader">
		<part name="messagePart" element="hdr:AuthenticationHeader" />
	</message>

	<message name="CreateBezRequest">
		<part name="parameters" element="msg:CreateBezRequest" />
	</message>

	<message name="CreateBezResponse">
		<part name="parameters" element="msg:CreateBezResponse" />
	</message>

	<message name="CreateBizHeader">
		<part name="messagePart" element="hdr:AuthenticationHeader" />
	</message>

	<message name="CreateBizRequest">
		<part name="parameters" element="msg:CreateBizRequest" />
	</message>

	<message name="CreateBizResponse">
		<part name="parameters" element="msg:CreateBizResponse" />
	</message>

	<message name="CreateBozHeader">
		<part name="messagePart" element="hdr:AuthenticationHeader" />
	</message>

	<message name="CreateBozRequest">
		<part name="parameters" element="msg:CreateBozRequest" />
	</message>

	<message name="CreateBozResponse">
		<part name="parameters" element="msg:CreateBozResponse" />
	</message>


	<message name="CreateBuzHeader">
		<part name="messagePart" element="hdr:AuthenticationHeader" />
	</message>

	<message name="CreateBuzRequest">
		<part name="parameters" element="msg:CreateBuzRequest" />
	</message>

	<message name="CreateBuzResponse">
		<part name="parameters" element="msg:CreateBuzResponse" />
	</message>

	<message name="CreateRecurseChoiceHeader">
		<part name="messagePart" element="hdr:AuthenticationHeader" />
	</message>

	<message name="CreateRecurseChoiceRequest">
		<part name="parameters" element="msg:CreateRecurseChoiceRequest" />
	</message>

	<message name="CreateRecurseChoiceResponse">
		<part name="parameters" element="msg:CreateRecurseChoiceResponse" />
	</message>

	<message name="CreateBarOrBazHeader">
		<part name="messagePart" element="hdr:AuthenticationHeader" />
	</message>

	<message name="CreateBarOrBazRequest">
		<part name="parameters" element="msg:CreateBarOrBaz" />
	</message>

	<message name="CreateBarOrBazResponse">
		<part name="parameters" element="msg:CreateBarOrBazResponse" />
	</message>

	<message name="CreateBarOrBazUnnamedTypeHeader">
		<part name="messagePart" element="hdr:AuthenticationHeader" />
	</message>

	<message name="CreateBarOrBazUnnamedTypeRequest">
		<part name="parameters" element="msg:CreateBarOrBazUnnamedType" />
	</message>

	<message name="CreateBarOrBazUnnamedTypeResponse">
		<part name="parameters" element="msg:CreateBarOrBazUnnamedTypeResponse" />
	</message>

	<portType name="Foo.FooBarServiceInterface">
		<operation name="CreateFoo">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create Foo item
			</documentation>
			<input message="tns:CreateFooRequest" />
			<output message="tns:CreateFooResponse" />
		</operation>

		<operation name="CreateBaz">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create Baz item
			</documentation>
			<input message="tns:CreateBazRequest" />
			<output message="tns:CreateBazResponse" />
		</operation>

		<operation name="CreateBez">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create Bez item
			</documentation>
			<input message="tns:CreateBezRequest" />
			<output message="tns:CreateBezResponse" />
		</operation>

		<operation name="CreateBiz">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create Biz item
			</documentation>
			<input message="tns:CreateBizRequest" />
			<output message="tns:CreateBizResponse" />
		</operation>

		<operation name="CreateBoz">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create Boz item
			</documentation>
			<input message="tns:CreateBozRequest" />
			<output message="tns:CreateBozResponse" />
		</operation>

		<operation name="CreateBuz">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create Buz item
			</documentation>
			<input message="tns:CreateBuzRequest" />
			<output message="tns:CreateBuzResponse" />
		</operation>

		<operation name="CreateRecurseChoice">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create Recurse Choice
			</documentation>
			<input message="tns:CreateRecurseChoiceRequest" />
			<output message="tns:CreateRecurseChoiceResponse" />
		</operation>

		<operation name="CreateBarOrBaz">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create Bar or Baz
			</documentation>
			<input message="tns:CreateBarOrBazRequest" />
			<output message="tns:CreateBarOrBazResponse" />
		</operation>

		<operation name="CreateBarOrBazUnnamedType">
			<documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
				Create Bar or Baz unnamed type
			</documentation>
			<input message="tns:CreateBarOrBazUnnamedTypeRequest" />
			<output message="tns:CreateBarOrBazUnnamedTypeResponse" />
		</operation>

	</portType>

	<binding name="Foo.FooBarService.v1" type="Foo.FooBarServiceInterface">
		<soap:binding transport="http://schemas.xmlsoap.org/soap/http" />

		<operation name="CreateFoo">
			<soap:operation soapAction="http://www.foo.com/CreateFoo" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
				<soap:header message="tns:CreateFooHeader" part="messagePart" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateBaz">
			<soap:operation soapAction="http://www.foo.com/CreateBaz" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
				<soap:header message="tns:CreateBazHeader" part="messagePart" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateBez">
			<soap:operation soapAction="http://www.foo.com/CreateBez" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
				<soap:header message="tns:CreateBezHeader" part="messagePart" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateBiz">
			<soap:operation soapAction="http://www.foo.com/CreateBiz" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
				<soap:header message="tns:CreateBizHeader" part="messagePart" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateBoz">
			<soap:operation soapAction="http://www.foo.com/CreateBoz" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
				<soap:header message="tns:CreateBozHeader" part="messagePart" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateBuz">
			<soap:operation soapAction="http://www.foo.com/CreateBuz" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
				<soap:header message="tns:CreateBuzHeader" part="messagePart" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateRecurseChoice">
			<soap:operation soapAction="http://www.foo.com/CreateRecurseChoice" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
				<soap:header message="tns:CreateRecurseChoiceHeader" part="messagePart" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateBarOrBaz">
			<soap:operation soapAction="http://www.foo.com/CreateBarOrBaz" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
				<soap:header message="tns:CreateBarOrBazHeader" part="messagePart" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

		<operation name="CreateBarOrBazUnnamedType">
			<soap:operation soapAction="http://www.foo.com/CreateBarOrBazUnnamedType" style="document" />
			<input>
				<soap:body parts="body" use="literal" />
				<soap:header message="tns:CreateBarOrBazUnnamedTypeHeader" part="messagePart" use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>

	</binding>

	<service name="Foo.FooBarService.v1">
		<port name="Foo.FooBarServicePort" binding="Foo.FooBarService.v1">
			<soap:address location="http://dummy.url/webservice/foobar/v1/services/FooBarServicePort" />
		</port>
	</service>

</definitions>